
# (C) 2001-2013 Altera Corporation. All rights reserved.
# Your use of Altera Corporation's design tools, logic functions and 
# other software and tools, and its AMPP partner logic functions, and 
# any output files any of the foregoing (including device programming 
# or simulation files), and any associated documentation or information 
# are expressly subject to the terms and conditions of the Altera 
# Program License Subscription Agreement, Altera MegaCore Function 
# License Agreement, or other applicable license agreement, including, 
# without limitation, that your use is for the sole purpose of 
# programming logic devices manufactured by Altera and sold by Altera 
# or its authorized distributors. Please refer to the applicable 
# agreement for further details.

# ACDS 12.1 177 win32 2013.01.03.16:29:59

# ----------------------------------------
# Auto-generated simulation script

# ----------------------------------------
# Initialize the variable
if ![info exists SYSTEM_INSTANCE_NAME] { 
  set SYSTEM_INSTANCE_NAME ""
} elseif { ![ string match "" $SYSTEM_INSTANCE_NAME ] } { 
  set SYSTEM_INSTANCE_NAME "/$SYSTEM_INSTANCE_NAME"
} 

if ![info exists TOP_LEVEL_NAME] { 
  set TOP_LEVEL_NAME "RxTx4_2Gbps"
} elseif { ![ string match "" $TOP_LEVEL_NAME ] } { 
  set TOP_LEVEL_NAME "$TOP_LEVEL_NAME"
} 

if ![info exists QSYS_SIMDIR] { 
  set QSYS_SIMDIR "./../"
} elseif { ![ string match "" $QSYS_SIMDIR ] } { 
  set QSYS_SIMDIR "$QSYS_SIMDIR"
} 


# ----------------------------------------
# Copy ROM/RAM files to simulation directory

# ----------------------------------------
# Create compilation libraries
proc ensure_lib { lib } { if ![file isdirectory $lib] { vlib $lib } }
ensure_lib          ./libraries/     
ensure_lib          ./libraries/work/
vmap       work     ./libraries/work/
vmap       work_lib ./libraries/work/
if { ![ string match "*ModelSim ALTERA*" [ vsim -version ] ] } {
  ensure_lib                     ./libraries/altera_ver/         
  vmap       altera_ver          ./libraries/altera_ver/         
  ensure_lib                     ./libraries/lpm_ver/            
  vmap       lpm_ver             ./libraries/lpm_ver/            
  ensure_lib                     ./libraries/sgate_ver/          
  vmap       sgate_ver           ./libraries/sgate_ver/          
  ensure_lib                     ./libraries/altera_mf_ver/      
  vmap       altera_mf_ver       ./libraries/altera_mf_ver/      
  ensure_lib                     ./libraries/altera_lnsim_ver/   
  vmap       altera_lnsim_ver    ./libraries/altera_lnsim_ver/   
  ensure_lib                     ./libraries/arriav_ver/         
  vmap       arriav_ver          ./libraries/arriav_ver/         
  ensure_lib                     ./libraries/arriav_hssi_ver/    
  vmap       arriav_hssi_ver     ./libraries/arriav_hssi_ver/    
  ensure_lib                     ./libraries/arriav_pcie_hip_ver/
  vmap       arriav_pcie_hip_ver ./libraries/arriav_pcie_hip_ver/
}
ensure_lib             ./libraries/RxTx4_2Gbps/
vmap       RxTx4_2Gbps ./libraries/RxTx4_2Gbps/

# ----------------------------------------
# Compile device library files
alias dev_com {
  echo "\[exec\] dev_com"
  if { ![ string match "*ModelSim ALTERA*" [ vsim -version ] ] } {
    vlog     "c:/altera/12.1/quartus/eda/sim_lib/altera_primitives.v"                   -work altera_ver         
    vlog     "c:/altera/12.1/quartus/eda/sim_lib/220model.v"                            -work lpm_ver            
    vlog     "c:/altera/12.1/quartus/eda/sim_lib/sgate.v"                               -work sgate_ver          
    vlog     "c:/altera/12.1/quartus/eda/sim_lib/altera_mf.v"                           -work altera_mf_ver      
    vlog -sv "c:/altera/12.1/quartus/eda/sim_lib/altera_lnsim.sv"                       -work altera_lnsim_ver   
    vlog     "c:/altera/12.1/quartus/eda/sim_lib/mentor/arriav_atoms_ncrypt.v"          -work arriav_ver         
    vlog     "c:/altera/12.1/quartus/eda/sim_lib/mentor/arriav_hmi_atoms_ncrypt.v"      -work arriav_ver         
    vlog     "c:/altera/12.1/quartus/eda/sim_lib/arriav_atoms.v"                        -work arriav_ver         
    vlog     "c:/altera/12.1/quartus/eda/sim_lib/mentor/arriav_hssi_atoms_ncrypt.v"     -work arriav_hssi_ver    
    vlog     "c:/altera/12.1/quartus/eda/sim_lib/arriav_hssi_atoms.v"                   -work arriav_hssi_ver    
    vlog     "c:/altera/12.1/quartus/eda/sim_lib/mentor/arriav_pcie_hip_atoms_ncrypt.v" -work arriav_pcie_hip_ver
    vlog     "c:/altera/12.1/quartus/eda/sim_lib/arriav_pcie_hip_atoms.v"               -work arriav_pcie_hip_ver
  }
}

# ----------------------------------------
# Compile the design files in correct order
alias com {
  echo "\[exec\] com"
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/altera_xcvr_functions.sv"                       -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/altera_xcvr_functions.sv"                -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/altera_xcvr_custom.sv"                          -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/altera_xcvr_custom.sv"                   -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/av_xcvr_custom_nr.sv"                           -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/av_xcvr_custom_native.sv"                       -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/av_xcvr_custom_nr.sv"                    -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/av_xcvr_custom_native.sv"                -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/alt_xcvr_resync.sv"                             -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/alt_xcvr_resync.sv"                      -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/alt_xcvr_csr_common_h.sv"                       -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/alt_xcvr_csr_common.sv"                         -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/alt_xcvr_csr_pcs8g_h.sv"                        -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/alt_xcvr_csr_pcs8g.sv"                          -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/alt_xcvr_csr_selector.sv"                       -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/alt_xcvr_mgmt2dec.sv"                           -work RxTx4_2Gbps
  vlog     "$QSYS_SIMDIR/altera_xcvr_custom_phy/altera_wait_generate.v"                         -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/alt_xcvr_csr_common_h.sv"                -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/alt_xcvr_csr_common.sv"                  -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/alt_xcvr_csr_pcs8g_h.sv"                 -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/alt_xcvr_csr_pcs8g.sv"                   -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/alt_xcvr_csr_selector.sv"                -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/alt_xcvr_mgmt2dec.sv"                    -work RxTx4_2Gbps
  vlog     "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/altera_wait_generate.v"                  -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/sv_reconfig_bundle_to_xcvr.sv"                  -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/sv_reconfig_bundle_to_ip.sv"                    -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/sv_reconfig_bundle_merger.sv"                   -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/sv_reconfig_bundle_to_xcvr.sv"           -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/sv_reconfig_bundle_to_ip.sv"             -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/sv_reconfig_bundle_merger.sv"            -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/av_xcvr_h.sv"                                   -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/av_xcvr_avmm_csr.sv"                            -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/av_tx_pma_ch.sv"                                -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/av_tx_pma.sv"                                   -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/av_rx_pma.sv"                                   -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/av_pma.sv"                                      -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/av_pcs_ch.sv"                                   -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/av_pcs.sv"                                      -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/av_xcvr_avmm.sv"                                -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/av_xcvr_native.sv"                              -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/av_xcvr_plls.sv"                                -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/av_xcvr_data_adapter.sv"                        -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/av_reconfig_bundle_to_basic.sv"                 -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/av_reconfig_bundle_to_xcvr.sv"                  -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/av_xcvr_h.sv"                            -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/av_xcvr_avmm_csr.sv"                     -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/av_tx_pma_ch.sv"                         -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/av_tx_pma.sv"                            -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/av_rx_pma.sv"                            -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/av_pma.sv"                               -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/av_pcs_ch.sv"                            -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/av_pcs.sv"                               -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/av_xcvr_avmm.sv"                         -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/av_xcvr_native.sv"                       -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/av_xcvr_plls.sv"                         -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/av_xcvr_data_adapter.sv"                 -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/av_reconfig_bundle_to_basic.sv"          -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/av_reconfig_bundle_to_xcvr.sv"           -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/av_hssi_8g_rx_pcs_rbc.sv"                       -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/av_hssi_8g_tx_pcs_rbc.sv"                       -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/av_hssi_common_pcs_pma_interface_rbc.sv"        -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/av_hssi_common_pld_pcs_interface_rbc.sv"        -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/av_hssi_pipe_gen1_2_rbc.sv"                     -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/av_hssi_rx_pcs_pma_interface_rbc.sv"            -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/av_hssi_rx_pld_pcs_interface_rbc.sv"            -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/av_hssi_tx_pcs_pma_interface_rbc.sv"            -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/av_hssi_tx_pld_pcs_interface_rbc.sv"            -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/av_hssi_8g_rx_pcs_rbc.sv"                -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/av_hssi_8g_tx_pcs_rbc.sv"                -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/av_hssi_common_pcs_pma_interface_rbc.sv" -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/av_hssi_common_pld_pcs_interface_rbc.sv" -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/av_hssi_pipe_gen1_2_rbc.sv"              -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/av_hssi_rx_pcs_pma_interface_rbc.sv"     -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/av_hssi_rx_pld_pcs_interface_rbc.sv"     -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/av_hssi_tx_pcs_pma_interface_rbc.sv"     -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/av_hssi_tx_pld_pcs_interface_rbc.sv"     -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/altera_xcvr_reset_control.sv"                   -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/alt_xcvr_reset_counter.sv"                      -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/altera_xcvr_reset_control.sv"            -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/alt_xcvr_reset_counter.sv"               -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/alt_xcvr_arbiter.sv"                            -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/alt_xcvr_m2s.sv"                                -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/alt_xcvr_arbiter.sv"                     -work RxTx4_2Gbps
  vlog -sv "$QSYS_SIMDIR/altera_xcvr_custom_phy/mentor/alt_xcvr_m2s.sv"                         -work RxTx4_2Gbps
  vlog     "$QSYS_SIMDIR/RxTx4_2Gbps.v"                                                                          
}

# ----------------------------------------
# Elaborate top level design
alias elab {
  echo "\[exec\] elab"
  vsim -t ps -L work -L work_lib -L RxTx4_2Gbps -L altera_ver -L lpm_ver -L sgate_ver -L altera_mf_ver -L altera_lnsim_ver -L arriav_ver -L arriav_hssi_ver -L arriav_pcie_hip_ver $TOP_LEVEL_NAME
}

# ----------------------------------------
# Elaborate the top level design with novopt option
alias elab_debug {
  echo "\[exec\] elab_debug"
  vsim -novopt -t ps -L work -L work_lib -L RxTx4_2Gbps -L altera_ver -L lpm_ver -L sgate_ver -L altera_mf_ver -L altera_lnsim_ver -L arriav_ver -L arriav_hssi_ver -L arriav_pcie_hip_ver $TOP_LEVEL_NAME
}

# ----------------------------------------
# Compile all the design files and elaborate the top level design
alias ld "
  dev_com
  com
  elab
"

# ----------------------------------------
# Compile all the design files and elaborate the top level design with -novopt
alias ld_debug "
  dev_com
  com
  elab_debug
"

# ----------------------------------------
# Print out user commmand line aliases
alias h {
  echo "List Of Command Line Aliases"
  echo
  echo "dev_com                       -- Compile device library files"
  echo
  echo "com                           -- Compile the design files in correct order"
  echo
  echo "elab                          -- Elaborate top level design"
  echo
  echo "elab_debug                    -- Elaborate the top level design with novopt option"
  echo
  echo "ld                            -- Compile all the design files and elaborate the top level design"
  echo
  echo "ld_debug                      -- Compile all the design files and elaborate the top level design with -novopt"
  echo
  echo 
  echo
  echo "List Of Variables"
  echo
  echo "TOP_LEVEL_NAME                -- Top level module name."
  echo
  echo "SYSTEM_INSTANCE_NAME          -- Instantiated system module name inside top level module."
  echo
  echo "QSYS_SIMDIR                   -- Qsys base simulation directory."
}
h
